= Linode Cookbook

A collection of useful recipes for configuring Linodes. Currently there is just
one for setting up static networking.

== linode::static_net

This recipe will detect the configured IPv4 addresses and setup static
networking for them as [described here](http://library.linode.com/networking/configuring-static-ip-interfaces).

== linode::dns

This recipe will add entries to the Linode DNS system for your Linode. It will
create the following entries:

* node.name + '.' + node[:set_domain] => node[:public_ipv4]
* node.name + '.int.' + node[:set_domain] => node[:private_ipv4]
* node.name + '.' + node[:set_domain] => node[:public_ipv6]

It requires the configuration performed in static_net, so it runs that first.

== linode::api_gem

This recipe installs the linode gem for API access. The cookbook uses this gem
extensively.

== linode::default

The default recipe runs both static_net & dns.
